This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 458016 - kernel: random32: seeding improvement [mrg-1]
kernel: random32: seeding improvement [mrg-1]
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.1
All Linux
medium Severity medium
: 1.0.3
: ---
Assigned To: Luis Claudio R. Goncalves
:
Depends On:
Blocks: 458019 458021 458022 458023 458212
  Show dependency treegraph
 
Reported: 2008-08-06 02:16 EDT by Eugene Teo (Security Response)
Modified: 2008-10-07 15:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-07 15:20:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch for this issue (2.86 KB, patch)
2008-08-06 02:22 EDT, Eugene Teo (Security Response)
no flags Details | Diff

  None (edit)
Description Eugene Teo (Security Response) 2008-08-06 02:16:20 EDT
Description of problem:
Stephen Hemminger wrote a patch to improve random32() seeding.

The rationale is:
   * use u32 consistently
   * no need to do LCG on values from (better) get_random_bytes
   * use more data from get_random_bytes for secondary seeding
   * don't reduce state space on srandom32()
   * enforce state variable initialization restrictions
Comment 2 Eugene Teo (Security Response) 2008-08-06 02:22:51 EDT
Created attachment 313529 [details]
Upstream patch for this issue
Comment 4 Eugene Teo (Security Response) 2008-08-26 12:54:13 EDT
It needs the following upstream patch as well:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=61407f80f72970d52d4339f81c6c3cd03f4ca0f0
Comment 5 Luis Claudio R. Goncalves 2008-09-04 16:42:52 EDT
This second patch is queued for -79
Comment 7 David Sommerseth 2008-09-23 04:42:33 EDT
Verified that upstream patch 697f8d0348a652593d195a13dd1067d9df911a82 is included in mrg-rt-2.6.24.7-81
Comment 9 errata-xmlrpc 2008-10-07 15:20:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0857.html

Note You need to log in before you can comment on or make changes to this bug.